import 'package:date_format/date_format.dart';

class DateUtil {
  /// 格式化日期 默认 YYYY-MM-DD
  static String format(DateTime date, {List<String>? formats}) {
    return formatDate(date, formats ?? ['yyyy', '-', 'mm', '-', 'dd']);
  }

  /// 获取几月
  static String getMonth(DateTime date) {
    String formattedDate = '${date.month}月';
    return formattedDate;
  }

  /// 获取几号
  static String getDate(DateTime date) {
    String formattedDate = formatDate(date, ['d']);
    if (formattedDate.length == 1) {
      formattedDate = '0$formattedDate';
    }
    return formattedDate;
  }

  /// 获取周几
  static String getDay(DateTime date) {
    List<String> daysOfWeekInChinese = ['一', '二', '三', '四', '五', '六', '日'];
    return '星期${daysOfWeekInChinese[date.weekday - 1]}';
  }

  static String addPrefix(String string) {
    if (string.length == 1) {
      string = '0$string';
    }
    return string;
  }
}
